/* @BD_Piezas_createBD.sql */
SET ECHO ON

/* Crear las tablas y alguna vista, a modo de ejemplo
*/
CREATE TABLE Pieza      (
  clvPieza  NUMBER(9) CONSTRAINT Pieza_PK     PRIMARY KEY,
  nombPieza CHAR(32)  CONSTRAINT nombPieza_NN NOT NULL,
  color     CHAR(32));

CREATE TABLE Proveedor  (
  clvProv  NUMBER(9)  CONSTRAINT Proveedor_PK PRIMARY KEY,
  nombProv CHAR(32)   CONSTRAINT nombProv_NN  NOT NULL);

CREATE TABLE suministrar (
  clvProv  NUMBER(9),
  clvPieza NUMBER(9),
  CONSTRAINT suministrar_PK  PRIMARY KEY (clvProv, clvPieza),
  CONSTRAINT sum_clvProv_FK  FOREIGN KEY (clvProv)  REFERENCES Proveedor(clvProv) ON DELETE cascade,
  CONSTRAINT sum_clvPieza_FK FOREIGN KEY (clvPieza) REFERENCES Pieza(clvPieza)    ON DELETE cascade);

CREATE VIEW infoSuministros AS
  SELECT nombProv, nombPieza
  FROM   Proveedor V, suministrar S, Pieza P
  WHERE  V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza;

/* mostrar la informacin bsica de las tablas y vistas
*/
@BD_Piezas_infoBD.sql
