set linesize 132
set pagesize 300

column clvProv     format 999
column clvPieza    format 999
column nombPieza   format a20
column nombProv    format a20
column color       format a12

COLUMN id_plus_exp FORMAT 990 HEADING i
COLUMN parent_id_plus_exp FORMAT 990 HEADING p
COLUMN plan_plus_exp FORMAT a80
COLUMN object_node_plus_exp FORMAT a8
COLUMN other_tag_plus_exp FORMAT a29
COLUMN other_plus_exp FORMAT a44

SET AUTOTRACE ON
SET TIMING ON
SET WRAP   OFF

-- eliminar informacin de los planes de ejecucin anteriores
DELETE FROM plan_table;

DROP INDEX prov_suministro_IDX;
DROP INDEX pieza_suministro_IDX;
DROP INDEX nomb_pieza_IDX;

-------------------------------------------------------------------------------------
SELECT * FROM Proveedor V, Suministrar S, Pieza P
  WHERE V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza AND nombPieza='TUERCA'; 

-------------------------------------------------------------------------------------
CREATE INDEX prov_suministro_IDX  ON suministrar(clvProv);

SELECT * FROM Proveedor V, Suministrar S, Pieza P
  WHERE V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza AND nombPieza='TUERCA'; 

-------------------------------------------------------------------------------------
CREATE INDEX pieza_suministro_IDX ON suministrar(clvPieza);

SELECT * FROM Proveedor V, Suministrar S, Pieza P
  WHERE V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza AND nombPieza='TUERCA'; 

-------------------------------------------------------------------------------------
CREATE INDEX nomb_pieza_IDX       ON pieza(nombPieza);

SELECT * FROM Proveedor V, Suministrar S, Pieza P
  WHERE V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza AND nombPieza='TUERCA'; 

-------------------------------------------------------------------------------------
DROP INDEX nomb_pieza_IDX;
DROP INDEX prov_suministro_IDX;

SELECT * FROM Proveedor V, Suministrar S, Pieza P
  WHERE V.clvProv = S.clvProv AND S.clvPieza = P.clvPieza AND nombPieza='TUERCA'; 

-------------------------------------------------------------------------------------
DROP INDEX pieza_suministro_IDX;

